%define name	tidy
%define version 20040713
%define release 2mdk
%define epoch	1
%define major	0.99
%define libname %mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Group:		Text tools
Source0:	http://tidy.sourceforge.net/docs/tidy_src.tar.bz2
Source1:	http://tidy.sourceforge.net/docs/tidy_docs.tar.bz2
URL:		http://tidy.sourceforge.net
License:	W3C license
Summary:	Program for tidying up messy HTML
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7 

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release} 

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep

%setup -q -n %{name}
%setup -q -n %{name} -T -D -b1

%build
%__cp -pr build/gnuauto/* .
libtoolize --copy --force
aclocal-1.7
autoconf
automake-1.7 --copy --add-missing --foreign
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall
(cd %{buildroot}%{_libdir} && rm -f lib%{name}*.so*.so)
(cd %{buildroot}%{_libdir} && ln -s lib%{name}-%{version}.so.0.0.0 lib%{name}-%{version}.so || :)
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 htmldoc/man_page.txt %{buildroot}%{_mandir}/man1/%{name}.1

%clean
%__rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc htmldoc/*
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Fri Jul 16 2004 Charles A Edwards <eslrahc@bellsouth.net> 20040713-2mdk 
- rm obsoletes/provides for hacktidy
- enforce versioing for automake
- fix provides for lib pkg

* Tue Jul 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20040713-1mdk 
- new version
- revert to a sane versioning

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1:0.99-0.20040318.2mdk
- use the %%configure2_5x macro
- fix deps

* Sun Apr 25 2004 David Walluck <walluck@mandrake.org> 1:0.99-0.20040318.1mdk
- 20040318
- add epochs to all Provides/Requires

* Sun Feb 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.99-0.20040228.1mdk
- 20040228
- fixed dependencies

* Wed Dec 03 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.99-0.20031101.1mdk
- 20031101
- fixed lib package name

* Wed Jul 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.99-0.20030702.1mdk
- 20030702

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.20030325.3mdk
- use the %%mklibname macro
- rebuilt to have rpm pick up provides
- misc spec file fixes

* Sat Feb 08 2003 David Walluck <david@anti-microsoft.org> 0.99-0.20030205-2mdk
- ldconfig in %%post and %%postun

* Sat Feb 08 2003 David Walluck <david@anti-microsoft.org> 0.99-0.20030205-1mdk
- 20020325
- split into libtidy package

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 20020902-2mdk
- rebuild

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 20020902-1mdk
- merged with hacktidy package
- updated snapshot

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 20000804-1mdk
- fixed by Stefane Fermigier <sf@fermigier.com> :
	- fix version 

* Fri Sep 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 20000408-1mdk
- fix version ( thx Guillaume Rousse )

* Wed Sep 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 08042000-2mdk
- rebuild

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 08042000-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- updated to 08042000
	- changed group

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 07082000-3mdk
- rebuild

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 07082000-2mdk
- macros

* Thu Jul 20 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 07082000-1mdk
- first package for mandrake (and probably first rpm too)
